var health : int = 100;
var deadClone : GameObject;

function Update () {
	if(health <= 0){
		Instantiate(deadClone, transform.position, transform.rotation);
		Destroy(gameObject);
	}
}

function TakeDamage(amount : int) {
	health -= amount;
}